<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Vendedor{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$vehiculo,$placa,$idzona,$idzona2,$comisionventa1
,$comisionventa2,$comisionventa3,$comisionventa4,$comisionventa5,$comisioncobranza1,$comisioncobranza2,$comisioncobranza3,$comisioncobranza4,$comisioncobranza5,
$idsubzona,$idgerente,$diai1,$diai2,$diai3,$diai4,$diai5,$diaf1,$diaf2,$diaf3,$diaf4,$diaf5){
	if($num_documento==''){
		$min = 1;
		$max = 10000;
		$numeroAleatorio = rand();
		$numeroAleatorio2 = mt_rand($min, $max);
		$num_documento='MANAGWARE'.($numeroAleatorio+$numeroAleatorio2);
	}
	
	$sql="INSERT INTO vendedor (tipo_persona,nombre,tipo_documento,num_documento,direccion,telefono,email,vehiculo,placa,idzona,idzona2,comisionventa1,comisionventa2,comisionventa3,comisionventa4,comisionventa5,
	comisioncobranza1,comisioncobranza2,comisioncobranza3,comisioncobranza4,comisioncobranza5,idsubzona,idgerente,diai1,diai2,diai3,diai4,diai5,diaf1,diaf2,diaf3,diaf4,diaf5) 
	VALUES 	('$tipo_persona','$nombre','$tipo_documento','$num_documento','$direccion','$telefono','$email','$vehiculo','$placa','$idzona','$idzona2','$comisionventa1','$comisionventa2','$comisionventa3','$comisionventa4','$comisionventa5','$comisioncobranza1',
	'$comisioncobranza2','$comisioncobranza3','$comisioncobranza4','$comisioncobranza5','$idsubzona','$idgerente','$diai1','$diai2','$diai3','$diai4','$diai5','$diaf1','$diaf2','$diaf3','$diaf4','$diaf5')";
  //  echo $sql;
    return ejecutarConsulta($sql);
}

//
public function editar($idvendedor,$tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$vehiculo,$placa,$idzona,$idzona2,$comisionventa1,
$comisionventa2,$comisionventa3,$comisionventa4,$comisionventa5,$comisioncobranza1,$comisioncobranza2,$comisioncobranza3,$comisioncobranza4,$comisioncobranza5,
$idsubzona,$idgerente,$diai1,$diai2,$diai3,$diai4,$diai5,$diaf1,$diaf2,$diaf3,$diaf4,$diaf5)
{
	$sql="UPDATE vendedor SET 
    tipo_persona='$tipo_persona', 
    nombre='$nombre',
    tipo_documento='$tipo_documento',
    num_documento='$num_documento',
    direccion='$direccion',
    telefono='$telefono',
    email='$email',
    vehiculo='$vehiculo',
    placa='$placa',
    idzona='$idzona',
    idzona2='$idzona2',
    comisionventa1='$comisionventa1',
    comisionventa2='$comisionventa2',
    comisionventa3='$comisionventa3',
    comisionventa4='$comisionventa4',
    comisionventa5='$comisionventa5',
    comisioncobranza1='$comisioncobranza1',
    comisioncobranza2='$comisioncobranza2',
    comisioncobranza3='$comisioncobranza3',  -- Aquí agregué la coma faltante
    comisioncobranza4='$comisioncobranza4',
    comisioncobranza5='$comisioncobranza5',
    idsubzona='$idsubzona',
    idgerente='$idgerente',
	diai1='$diai1',
	diai2='$diai2',
	diai3='$diai3',
	diai4='$diai4',
	diai5='$diai5',
	diaf1='$diaf1',
	diaf2='$diaf2',
	diaf3='$diaf3',
	diaf4='$diaf4',
	diaf5='$diaf5' 
	WHERE idvendedor='$idvendedor'";



	return ejecutarConsulta($sql);
}
//funcion para eliminar datos
public function eliminar($idvendedor){
	$sql="DELETE FROM vendedor WHERE idvendedor='$idvendedor'";
	return ejecutarConsulta($sql);
}

public function desactivar($idvendedor){
	$sql="UPDATE vendedor SET condicion='0' WHERE idvendedor='$idvendedor'";
	return ejecutarConsulta($sql);
}

public function activar($idvendedor){
	$sql="UPDATE vendedor SET condicion='1' WHERE idvendedor='$idvendedor'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idvendedor){
	$sql="SELECT `idvendedor`, `idzona`, `idzona2`, `idsubzona`, `orden`, `color`, `tipo_persona`, `nombre`, `tipo_documento`, IF((SUBSTRING(`num_documento`, 1, 9)='MANAGWARE'),'',`num_documento`) AS num_documento, 
	`direccion`, `telefono`, `email`, `vehiculo`, `placa`, `comisionventa1`, `comisionventa2`, `comisionventa3`, `comisionventa4`, `comisionventa5`, `comisioncobranza1`, 
	`comisioncobranza2`, `comisioncobranza3`, `comisioncobranza4`, `comisioncobranza5`, `condicion`, `idgerente`,
	`diai1`, `diai2`, `diai3`, `diai4`, `diai5`, `diaf1`, `diaf2`, `diaf3`, `diaf4`, `diaf5` FROM `vendedor` WHERE idvendedor='$idvendedor'";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para buscar un cliente
public function buscarcliente($tipo_documento,$num_documento){
	$sql="SELECT * FROM vendedor WHERE tipo_documento='$tipo_documento' AND num_documento='$num_documento' AND tipo_persona='Cliente'";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para buscar un proveedor
public function buscarproveedor($tipo_documento,$num_documento){
	$sql="SELECT * FROM vendedor WHERE tipo_documento='$tipo_documento' AND num_documento='$num_documento' AND tipo_persona='Proveedor'";
	return ejecutarConsultaSimpleFila($sql);
}

public function buscarmedicoultimo(){
	$sql="SELECT * FROM vendedor ORDER BY idvendedor DESC LIMIT 1";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listarg(){
	$sql="SELECT * FROM vendedor WHERE tipo_persona='Gerente'";
	return ejecutarConsulta($sql);
}
public function listarv(){
	//$sql="SELECT * FROM vendedor WHERE tipo_persona='Vendedor'";
	$sql="SELECT * FROM vendedor WHERE tipo_persona='Vendedor' AND condicion='1'";
	return ejecutarConsulta($sql);
}

public function listarvisitador(){
	$sql="SELECT * FROM vendedor WHERE tipo_persona='Visitadormedico'";
	return ejecutarConsulta($sql);
}

public function listarmedico(){
	$sql="SELECT * FROM vendedor WHERE tipo_persona='Medico'";
	return ejecutarConsulta($sql);
}

public function listar(){
	$sql="SELECT v.idvendedor, v.idzona, v.tipo_persona, v.nombre, v.tipo_documento, v.num_documento, v.direccion, v.telefono, v.email, v.vehiculo, v.placa, z.nombre as zona, v.condicion,s.nombre as subzona FROM vendedor v LEFT JOIN zona z ON v.idzona = z.idzona LEFT JOIN subzona s ON s.idsubzona=v.idsubzona";
	return ejecutarConsulta($sql);
}

public function listartipo($tipo_persona){
	$sql="SELECT v.idvendedor, v.idzona, v.tipo_persona, v.nombre, v.tipo_documento, v.num_documento, v.direccion, v.telefono, v.email, v.vehiculo, v.placa, z.nombre as zona, v.condicion FROM vendedor v LEFT JOIN zona z ON v.idzona = z.idzona WHERE v.tipo_persona='$tipo_persona'";
	return ejecutarConsulta($sql);
}

public function listarcomision(){
	$sql="SELECT * FROM vendedor WHERE condicion=1";
	return ejecutarConsulta($sql);
}

//SELECT * FROM vendedor WHERE condicion=1

public function listar2(){
	$sql="SELECT v.idvendedor, v.idzona, v.tipo_persona, v.nombre, v.tipo_documento, v.num_documento, v.direccion, v.telefono, v.email, v.vehiculo, v.placa, z.nombre as zona, v.condicion FROM vendedor v LEFT JOIN zona z ON v.idzona = z.idzona";
	return ejecutarConsulta($sql);
}

public function listarct(){
	$sql="SELECT * FROM tarjeta WHERE condicion='1'";
	return ejecutarConsulta($sql);
}

public function listarsales(){
	$sql="SELECT v.idvendedor, v.idzona, v.tipo_persona, v.nombre, v.tipo_documento, v.num_documento, 
	v.direccion, v.telefono, v.email, v.vehiculo, v.placa, z.nombre as zona, v.condicion,
	s.nombre as subzona,v.tipo_persona as cargo,
	IFNULL(v1.nombre,'OFICINA') as gerente
	FROM vendedor v 
	LEFT JOIN zona z ON v.idzona = z.idzona 
	LEFT JOIN subzona s ON s.idsubzona=v.idsubzona
	LEFT JOIN vendedor v1 ON v1.idvendedor=v.idgerente
	WHERE v.condicion=1";
	return ejecutarConsulta($sql);
}


}

 ?>
